package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.common.domain
 * @Project：test_7.26_bill
 * @name：Bill
 * @Date：2024/7/26 8:45
 */
@Data
public class Bill {

private  Integer billId;

@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
private Date billDate;

private BigDecimal billMoney;



}
