package com.bwie.system.dao;

import com.bwie.common.domain.Bill;
import com.bwie.system.mapper.BillMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.system.dao
 * @Project：test_7.26_bill
 * @name：BillDao
 * @Date：2024/7/26 8:50
 */
@Component
public class BillDao {

    @Autowired
    private BillMapper billMapper;


    //1.封装添加数据的实例成员方法add(),实现向表bill中添加数据的功能


    public int add(Bill bill){
       int i =  billMapper.add(bill);

        return i ;
    }

    //封装查询数据的实例成员方法selectAll()，实现查询表bill中的全部数据

    public List<Bill> selectAll(){

     List<Bill> list =   billMapper.selectAll();

        return list;
    }






}
